Download it now!
Bug 97794 - Incompatibility between Voiceover in MacOs and Libreoffice writer resulting in voiceover thinking that each new line is a separate edit box.
Summary: Incompatibility between Voiceover in MacOs and Libreoffice writer resulting i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-macOS
  Show dependency treegraph
 
Reported: 2016-02-12 11:17 UTC by Krister Ekström
Modified: 2019-06-18 02:46 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Krister Ekström 2016-02-12 11:17:57 UTC
Voiceover, the screen reading tool for the blind and visually impaired built-in to MacOs has problems reading in Writer. As soon as a line break is inserted or a new paragraph is inserted, it thinks it has encountered a new edit box resulting in, among other things that Voiceover is incapable of reading one whole document and that editing in a multiline document is impossible. This is a deal breaker for blind and visually impaired Voiceover users.
Steps to reproduce:
1, load a multi line document such as a news paper article or a text with many lines and paragraphs into Writer.
2; make sure Voiceover is running, voiceover is toggled on and off by hitting cmd+f5.
3 using arrow keys, (not voiceover commands) read the text line by line.
4, observe that for every new line or paragraph break Voiceover says "edit box". Now try having voiceover read a whole document by pressing control+option+a. Note that Voiceover stops reading after the first line instead of reading the whole document.
Expected results:
Voiceover should treat the whole document as one single edit box instead of multiple edit boxes.
Current behaviour: Voiceover treats a document as if it contains multiple edit boxes, one for each line and paragraph break it encounters.
Comment 1 Alex Thurgood 2016-06-13 14:31:36 UTC
On 10.11.5, with LO 5132 :

I can only get each line to be read by VoiceOver if I click on each one with the mouse. The combo keys do not work to move the VoiceOver box downwards from the top of my test document, and only the first line gets read.

Confirming
Comment 2 Alex Thurgood 2016-06-13 14:33:30 UTC
Accessibility support is pretty bad on Mac as far as LO and VoiceOver is concerned and progress in this department is unfortunately slow.
Comment 3 QA Administrators 2017-09-01 11:20:28 UTC Comment hidden (obsolete)
Comment 4 Krister Ekström 2017-09-01 12:40:22 UTC
This bug is still there in all its glory. Possibly it has been even worse. Now you can't move the focus by using only arrow keys but only with voiceover commands and even then Voiceover thinks that new lines or paragraphs are new edit boxes.
Comment 5 QA Administrators 2019-06-18 02:46:34 UTC
Dear Krister Ekström,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug